%define major 3
%define libname %mklibname %{name} %{major}
%define develibname %mklibname -d %{name}

Summary:        A freely licensed alternative to the GLUT library
Name:           freeglut
Version:        3.4.0
%define subrel 1
Release:        %mkrel 1
License:        MIT
Group:          System/Libraries
URL:            http://freeglut.sourceforge.net
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# For the manpages
Source1:        https://downloads.sourceforge.net/openglut/openglut-0.6.3-doc.tar.gz
Patch0:         freeglut-glextconflict.patch
Patch1:         9ad320c1ad1a25558998ddfe47674511567fec57.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(ice)
# The virtual Provides below is present so that this freeglut package is a
# drop in binary replacement for "glut" which will satisfy rpm dependancies
# properly.  The Obsoletes tag is required in order for any pre-existing
# "glut" package to be removed and replaced with freeglut when upgrading to
# freeglut.  Note: This package will NOT co-exist with the glut package.

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.

%package -n     %{libname}
Summary:        A freely licensed alternative to the GLUT library
Group:          System/Libraries
Provides:       glut = 3.7
Obsoletes:      glut < 3.7

%description -n %{libname}
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.


%package -n     %{develibname}
Summary:        Freeglut developmental libraries and header files
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       glut-devel = 3.7
Obsoletes:      glut-devel < 3.7
Provides:       %{name}-devel = %{version}-%{release}
Requires:	mesaglu-devel

%description -n %{develibname}
Developmental libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.


%prep
%setup -q -a 1
%autopatch -p1

%build
%cmake -Wno-dev \
       -DFREEGLUT_BUILD_STATIC_LIBS=OFF ..
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}/%{_mandir}/man3
install -p -m 644 doc/man/*.3 %{buildroot}/%{_mandir}/man3

# for backward compatibility
ln -s glut.pc %{buildroot}%{_libdir}/pkgconfig/freeglut.pc

%files -n %{libname}
%doc AUTHORS ChangeLog README.md
%license COPYING
# don't include contents of doc/ directory as it is mostly obsolete
%{_libdir}/libglut*.so.%{major}
%{_libdir}/libglut*.so.%{major}.*

%files -n %{develibname}
%doc doc/html/*.png doc/html/*.html
%{_includedir}/GL/*.h
%{_libdir}/libglut.so
%{_libdir}/pkgconfig/freeglut.pc
%{_libdir}/pkgconfig/glut.pc
%{_libdir}/cmake/FreeGLUT/
%{_mandir}/man3/*


%changelog
* Thu May 02 2024 ns80 <ns80> 3.4.0-1.1.mga9
+ Revision: 2061868
- add an upstream patch for CVE-2024-2425[89] (mga#33167)

* Sat Oct 22 2022 ghibo <ghibo> 3.4.0-1.mga9
+ Revision: 1898495
- Update to release 3.4.0.
- Fix README in file list.

* Thu Mar 24 2022 umeabot <umeabot> 3.2.2-2.mga9
+ Revision: 1824690
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 luigiwalser <luigiwalser> 3.2.2-1.mga9
+ Revision: 1773111
- remove upstream patch
- 3.2.2

* Tue May 19 2020 danf <danf> 3.2.1-3.mga8
+ Revision: 1586166
- Fix multiple definition error on gcc 10

* Thu Feb 20 2020 umeabot <umeabot> 3.2.1-2.mga8
+ Revision: 1546122
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1486065
- new version: 3.2.1
- use new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 3.0.0-2.mga7
+ Revision: 1297770
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.0.0-1.mga6
+ Revision: 920343
- 3.0.0
- build with cmake

* Wed Oct 15 2014 umeabot <umeabot> 2.8.1-4.mga5
+ Revision: 749353
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.1-3.mga5
+ Revision: 679337
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.8.1-2.mga4
+ Revision: 523752
- Mageia 4 Mass Rebuild

* Fri May 24 2013 luigiwalser <luigiwalser> 2.8.1-1.mga4
+ Revision: 426821
- re-diff patch0
- 2.8.1

* Fri Jan 11 2013 umeabot <umeabot> 2.8.0-4.mga3
+ Revision: 350855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 fwang <fwang> 2.8.0-3.mga3
+ Revision: 304061
- fix conflict types

* Sun Mar 11 2012 anssi <anssi> 2.8.0-2.mga2
+ Revision: 222803
- change conflicts on mesaglut to obsoletes for smoother upgrade

* Thu Jan 05 2012 fwang <fwang> 2.8.0-1.mga2
+ Revision: 191008
- new version 2.8.0
  drop merged patches

* Thu Sep 15 2011 fwang <fwang> 2.6.0-6.mga2
+ Revision: 144028
- fix group
- add req on mesaglu as freeglut_std.h requires GL/glu.h
+ ahmad <ahmad>
- The -devel package should provide '%%{name}-devel' (mga#2257)

* Wed Apr 20 2011 misc <misc> 2.6.0-4.mga1
+ Revision: 89134
- add a Requires on the library, not on main package
- remove explicit requires on -devel, as we have automated requires for that

* Tue Apr 19 2011 tv <tv> 2.6.0-3.mga1
+ Revision: 88822
- move Provides/Obsoletes/Conflicts into lib subpackage

* Tue Apr 19 2011 tv <tv> 2.6.0-2.mga1
+ Revision: 88460
- explicitely conflicts with %%libmesaglut3

* Tue Apr 19 2011 tv <tv> 2.6.0-1.mga1
+ Revision: 88413
- imported package freeglut


* Tue Apr 19 2011 Thierry Vignaud <tvignaud@mandriva.com> 2.6.0-1
- initial package

* Mon May 31 2010 Tomas Smetana <tsmetana@redhat.com> 2.6.0-5
- fix #575885, #575885 - suppress the "Unknown X event type" warnings

* Fri May  7 2010 Josh Boyer <jwboyer@gmail.com> 2.6.0-4
- Add -lm to fix ppc build

* Mon Feb 15 2010 Tomas Smetana <tsmetana@redhat.com> 2.6.0-3
- the patch for #565178 was incomplete

* Mon Feb 15 2010 Tomas Smetana <tsmetana@redhat.com> 2.6.0-2
- fix #565178: fix building of the examples

* Thu Jan 22 2009 Tomas Smetana <tsmetana@redhat.com> - 2.4.0-15
- fix #481049 - rebuild to pick up %%{_isa} provides

* Mon Mar 17 2008 Jesse Keating <jkeating@redhat.com> - 2.4.0-14
- Prevent package from obsoleting itself with matching Provides/Obsoletes.

* Tue Dec 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.4.0-12
- Add manpages to the -devel package (from openglut, bz 409651)

* Sun Mar 18 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.4.0-11
- Minor specfile cleanups
- Add a patch from gentoo to stop flightgear from crashing

* Wed Jul 26 2006 Michael J. Knox <michael[AT]knox.net.nz> - 2.4.0-9
- disblaed static build
- dropped unneeded requires
- dropped the glib cruff passed to make

* Fri May 19 2006 Mike A. Harris <mharris@redhat.com> 2.4.0-5
- Added "BuildRequires: libXext-devel, libXxf86vm-devel" for (#192255)

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 2.4.0-4
- BuildRequires: libGLU-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 2.4.0-3.2
- bump again for double-long bug on ppc(64)

* Tue Jan 31 2006 Mike A. Harris <mharris@redhat.com> 2.4.0-3
- Added "Requires: libGL-devel libGLU-devel" to fix bug (#179464)
- Change file based GL header build dep to BuildRequires: libGL-devel

* Fri Nov 18 2005 Bill Nottingham <notting@redhat.com> 2.4.0-2
- Remove references to obsolete /usr/X11R6 paths

* Fri Sep 23 2005 Mike A. Harris <mharris@redhat.com> 2.4.0-1
- Updated to freeglut-2.4.0
- Removed unneeded patches:
  - freeglut-2.2.0-gcc4-fix-invalid-lvalue-in-assignment-cvsps-392-393.patch
- Use "-p /sbin/ldconfig" in post/postun scripts instead of a separate script.

* Sat Mar 05 2005 Mike A. Harris <mharris@redhat.com> 2.2.0-16
- Added freeglut-2.2.0-gcc4-fix-invalid-lvalue-in-assignment-cvsps-392-393.patch
  to fix "invalid lvalue in assignment" bugs reported by gcc 4
- Added "-Wall" to CFLAGS in specfile.

* Thu Mar 18 2004 Mike A. Harris <mharris@redhat.com> 2.2.0-11
- Updated "Obsoletes: glut" to be "Obsoletes: glut <= 3.7" and
  "Obsoletes: glut-devel" to be "Obsoletes: glut-devel <= 3.7" as per
  suggestion from Matthias Saou in comment #14 of bug (#107228)

* Sun Mar 07 2004 Mike A. Harris <mharris@redhat.com>
- Made "glut-devel" virtual provides be "glut-devel = 3.7"

* Sun Mar 07 2004 Mike A. Harris <mharris@redhat.com> 2.2.0-10
- Initial Red Hat packaging created by taking the ATrpms src.rpm package from
  http://tinyurl.com/2goog as suggested in bugzilla bug (#107228)
- Bumped the Release field to "10" so our package is newer when people
  upgrade to it, as requested in bug (#107228)
- Removed redundant version/release macros from top of specfile
- Versioned buildroot directory
- Add --enable-warnings arg to ./configure script
- Add HTML documentation to main package
- Made "glut" virtual provides be "glut = 3.7"
- Do not include *.la files

* Sat Feb 21 2004 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 2.2.0
- Added glut compatibility provides.
- Moved *.so to devel package.

* Sun Jun 01 2003 Mike A. Harris <mharris@www.linux.org.uk> 1.3-0.20020125.2
- Oddly, when I build this on my workstation, it only builds static libs, but
  when I build it in the buildsystem it builds shared and static libs.  Must
  be a twilight zone thing going on.  Add shared libs to file lists.

* Sat May 31 2003 Mike A. Harris <mharris@www.linux.org.uk> 1.3-0.20020125.1
- Added -L/usr/X11R6/%%{_lib} configure script invocation and CFLAGS so lib64
  is treated properly on x86_64/ppc64/s390x architectures
